# AccountBilling

Account billing information

## GET /v3/account/billing

> Fetch account billing details

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"AccountBilling","description":"Account billing information"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"AccountBillingDetails":{"type":"object","required":["firstName","lastName","address","streetNumber","zipCode","city","countryCode","bundleInvoicesOfSameCategory","receivePaymentConfirmationsViaEmail","preferredPaymentMethod"],"properties":{"firstName":{"type":"string","format":"","description":"Billing first name."},"lastName":{"type":"string","format":"","description":"Billing last name."},"address":{"type":"string","format":"","description":"Billing address."},"streetNumber":{"type":"string","format":"","description":"Billing street number."},"zipCode":{"type":"string","format":"","description":"Billing ZIP code."},"city":{"type":"string","format":"","description":"Billing city."},"countryCode":{"type":"string","format":"","description":"Country code in ISO 3166-1 alpha-2 format."},"phoneNumber":{"type":"string","format":"","description":"Billing phone number. Either this or phoneNumberMobile is required.","nullable":true},"phoneNumberMobile":{"type":"string","format":"","description":"Billing mobile phone number. Either this or phoneNumber is required.","nullable":true},"emailAddressBilling":{"type":"string","format":"","description":"Email address for billing emails","nullable":true},"bundleInvoicesOfSameCategory":{"type":"integer","format":"integer","description":"Whether or not to bundle invoices of the same category"},"receivePaymentConfirmationsViaEmail":{"type":"integer","format":"integer","description":"Whether or not to send email confirmations via email"},"preferredPaymentMethod":{"type":"integer","format":"integer","description":"Preferred payment method"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/account/billing":{"get":{"tags":["AccountBilling"],"summary":"Fetch account billing details","operationId":"getAccountBillingDetails","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AccountBillingDetails"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## PUT /v3/account/billing

> Update account billing details

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"AccountBilling","description":"Account billing information"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"AccountBillingDetails":{"type":"object","required":["firstName","lastName","address","streetNumber","zipCode","city","countryCode","bundleInvoicesOfSameCategory","receivePaymentConfirmationsViaEmail","preferredPaymentMethod"],"properties":{"firstName":{"type":"string","format":"","description":"Billing first name."},"lastName":{"type":"string","format":"","description":"Billing last name."},"address":{"type":"string","format":"","description":"Billing address."},"streetNumber":{"type":"string","format":"","description":"Billing street number."},"zipCode":{"type":"string","format":"","description":"Billing ZIP code."},"city":{"type":"string","format":"","description":"Billing city."},"countryCode":{"type":"string","format":"","description":"Country code in ISO 3166-1 alpha-2 format."},"phoneNumber":{"type":"string","format":"","description":"Billing phone number. Either this or phoneNumberMobile is required.","nullable":true},"phoneNumberMobile":{"type":"string","format":"","description":"Billing mobile phone number. Either this or phoneNumber is required.","nullable":true},"emailAddressBilling":{"type":"string","format":"","description":"Email address for billing emails","nullable":true},"bundleInvoicesOfSameCategory":{"type":"integer","format":"integer","description":"Whether or not to bundle invoices of the same category"},"receivePaymentConfirmationsViaEmail":{"type":"integer","format":"integer","description":"Whether or not to send email confirmations via email"},"preferredPaymentMethod":{"type":"integer","format":"integer","description":"Preferred payment method"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/account/billing":{"put":{"tags":["AccountBilling"],"summary":"Update account billing details","operationId":"updateAccountBillingDetails","requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountBillingDetails"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AccountBillingDetails"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.i3d.net/api-references/general/accountbilling.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
